
Infrastructure - Task #429

run integration tests for all Metacat MN interfaces

2010-03-25 00:40 - Matthew Jones

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone: None Story Points:  

Product Version: *   

Description

run integration tests for all Metacat MN interfaces

History

#1 - 2010-04-07 02:39 - Matthew Jones

Wrote unit test and client-side tests for the get() method.  This framework will be usable to test all MN functions, and there are individual tasks for

writing each of these tests, so I am reducing the remaining time to only include the time needed to run al of the tests once they are completed under

the other tasks.

#2 - 2010-04-22 00:15 - Matthew Jones

- Status changed from New to In Progress

#3 - 2010-06-21 17:18 - Chad Berkley

Member node is installed.  Need to add data then attach testing harness.  Host is knb-mn.ecoinformatics.org

#4 - 2010-07-08 16:04 - Chad Berkley

Integration testing is now setup in Hudson.  Need to pull a list of server addresses from a CN then run the D1ClientTest against each node.  This test

should be sufficient for the prototype release.

#5 - 2010-07-09 18:38 - Chad Berkley

Until the registry service comes online, the d1clienttest now pulls a list of servers from the file

d1-java/src/test/resources/org/dataone/client/nodeRegistry.xml which is the same format as what the registry will use.  I also rewrote the d1client test

to use the new JUnit ErrorCollector @Rule so that if a test fails on one server it will not doom the entire test.  This is now running on hudson against

knb-mn and cn-dev.

#6 - 2010-07-09 18:39 - Chad Berkley

- Status changed from In Progress to Closed
